Commit aa064350 authored by Kristoffer Rose's avatar Kristoffer Rose

Merge branch 'st3' of ssh://git.debian.org/git/pkg-haskell/DHG_packages into st3

parents 8d419041 f572eb7d
gitit (0.11.1.1-1) UNRELEASED; urgency=medium
* New upstream release
-- Joachim Breitner <nomeata@debian.org> Wed, 19 Aug 2015 17:39:04 +0200
gitit (0.10.7-3) unstable; urgency=medium
* Remove bogus dependency on libghc-cgi-*
......
This diff is collapsed.
......@@ -21,16 +21,16 @@ Homepage: http://hackage.haskell.org/package/cabal-helper
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-cabal-helper
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-cabal-helper
X-Description: Simple interface to some of Cabal's configuration state used by ghc-mod
@cabal-helper@ provides a library which wraps the internal use of
cabal-helper provides a library which wraps the internal use of
anexecutable to lift the restrictions imposed by linking against versions of
GHC before @7.10@. This has the pleasant side effect of isolating the user
from having to deal with Cabal version changes manually as @cabal-helper@
GHC before 7.10. This has the pleasant side effect of isolating the user
from having to deal with Cabal version changes manually as cabal-helper
can simply recompile it's helper program automatically as needed.
.
@cabal-helper@ uses a wrapper executable to compile the actual cabal-helper
cabal-helper uses a wrapper executable to compile the actual cabal-helper
executable at runtime while linking against an arbitrary version of
Cabal. This runtime-compiled helper executable is then used to extract
various bits and peices from Cabal\'s on disk state (dist/setup-config)
various bits and peices from Cabal's on disk state (dist/setup-config)
written by it's configure command.
.
In addition to this the wrapper executable also supports installing any
......@@ -42,9 +42,6 @@ X-Description: Simple interface to some of Cabal's configuration state used by g
Furthermore the wrapper supports one special case namely reading a state
file for Cabal itself. This is needed as Cabal compiles it's Setup.hs using
itself and not using any version of Cabal installed in any package database.
.
@cabal-helper@ can compile with @Cabal >= 1.14@ but requires @Cabal >= 1.16@
at runtime.
Package: libghc-cabal-helper-dev
Architecture: any
......
......@@ -4,14 +4,53 @@ Upstream-Contact: dxld@darkboxed.org
Source: https://hackage.haskell.org/package/cabal-helper
Files: *
Copyright: (No copyright field in cabal file)
License: AGPL (Just (Version {versionBranch = [3], versionTags = []}))
Copyright: 2015 Daniel Gröber
License: AGPL
Files: debian/*
Copyright: held by the contributors mentioned in debian/changelog
License: AGPL (Just (Version {versionBranch = [3], versionTags = []}))
License: AGPL
License: AGPL (Just (Version {versionBranch = [3], versionTags = []}))
Files: CabalHelper/GuessGhc.hs
Copyright: 2003-2014 Isaac Jones, Simon Marlow, Martin Sjögren, Bjorn Bringert, Krasimir Angelov,
Malcolm Wallace, Ross Patterson, Ian Lynagh,
Duncan Coutts, Thomas Schilling,
Johan Tibell, Mikhail Glushenkov
License: BSD-3-clause
License: BSD-3-clause
All rights reserved.
.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
.
* Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
.
* Redistributions in binary form must reproduce the above
copyright notice, this list of conditions and the following
disclaimer in the documentation and/or other materials provided
with the distribution.
.
* Neither the name of Sven Bartscher nor the names of other
contributors may be used to endorse or promote products derived
from this software without specific prior written permission.
.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
License: AGPL
GNU AFFERO GENERAL PUBLIC LICENSE
Version 3, 19 November 2007
.
......
haskell-graphviz (2999.17.0.2-3) UNRELEASED; urgency=medium
* ghc-7.10 compat patch
-- Joachim Breitner <nomeata@debian.org> Wed, 19 Aug 2015 17:29:40 +0200
haskell-graphviz (2999.17.0.2-2) unstable; urgency=medium
* Upload to unstable
......
Index: haskell-graphviz/Data/GraphViz/Algorithms.hs
===================================================================
--- haskell-graphviz.orig/Data/GraphViz/Algorithms.hs 2015-01-04 14:35:41.000000000 +0100
+++ haskell-graphviz/Data/GraphViz/Algorithms.hs 2015-08-19 17:29:19.418284449 +0200
@@ -31,6 +31,8 @@
, transitiveReductionOptions
) where
+import Prelude hiding (traverse)
+
import Data.GraphViz.Attributes.Complete (Attributes, defaultAttributeValue)
import Data.GraphViz.Attributes.Same
import Data.GraphViz.Internal.Util (bool)
haskell-happstack-hsp (7.3.5-2) UNRELEASED; urgency=medium
haskell-happstack-hsp (7.3.6-1) unstable; urgency=medium
* ghc-7.10 compat patch
* New upstream release
-- Joachim Breitner <nomeata@debian.org> Sun, 16 Aug 2015 10:20:56 +0200
-- Joachim Breitner <nomeata@debian.org> Wed, 19 Aug 2015 07:11:43 +0000
haskell-happstack-hsp (7.3.5-1) unstable; urgency=medium
......
Index: haskell-happstack-hsp/happstack-hsp.cabal
===================================================================
--- haskell-happstack-hsp.orig/happstack-hsp.cabal 2015-05-15 03:41:30.000000000 +0200
+++ haskell-happstack-hsp/happstack-hsp.cabal 2015-08-16 10:20:49.145453731 +0200
@@ -32,5 +32,5 @@
hsx2hs >= 0.13.0 && < 0.14,
mtl >= 1.1 && < 2.3,
utf8-string >= 0.3 && < 1.1,
- syb >= 0.3 && < 0.5,
+ syb >= 0.3 && < 0.6,
text >= 0.10 && < 1.3
haskelldb-hdbc (2.2.2-6) UNRELEASED; urgency=medium
haskelldb-hdbc (2.2.4-1) unstable; urgency=medium
* ghc-7.10 compat patch
* New upstream release
-- Joachim Breitner <nomeata@debian.org> Sat, 15 Aug 2015 19:21:49 +0200
-- Joachim Breitner <nomeata@debian.org> Mon, 17 Aug 2015 17:39:33 +0000
haskelldb-hdbc (2.2.2-5) unstable; urgency=medium
......
Index: haskelldb-hdbc/Database/HaskellDB/HDBC.hs
===================================================================
--- haskelldb-hdbc.orig/Database/HaskellDB/HDBC.hs 2012-10-25 18:58:15.000000000 +0200
+++ haskelldb-hdbc/Database/HaskellDB/HDBC.hs 2015-08-15 19:21:31.972323673 +0200
@@ -1,3 +1,4 @@
+{-# Language FlexibleContexts #-}
-----------------------------------------------------------
-- |
-- Module : Database.HaskellDB.HDBC
hoauth (0.3.5-4) UNRELEASED; urgency=medium
* Depend on old-{locale,time}
* Patch support for ghc-7.10
-- Joachim Breitner <nomeata@debian.org> Sat, 15 Aug 2015 23:06:16 +0200
-- Sven Bartscher <sven.bartscher@weltraumschlangen.de> Tue, 18 Aug 2015 00:38:06 +0200
hoauth (0.3.5-3) unstable; urgency=low
......
......@@ -6,7 +6,7 @@ Section: haskell
Build-Depends: debhelper (>= 9),
haskell-devscripts (>= 0.9),
cdbs,
ghc,
ghc (>= 7.10),
ghc-prof,
libghc-rsa-dev (>= 1.2.0.1),
libghc-rsa-prof,
......@@ -22,8 +22,6 @@ Build-Depends: debhelper (>= 9),
libghc-entropy-prof,
libghc-mtl-dev (>= 1.1.0.2),
libghc-mtl-prof,
libghc-old-locale-dev (>= 1.0.0.2),
libghc-old-locale-prof,
libghc-random-dev (>= 1.0.0.2),
libghc-random-prof,
libghc-utf8-string-dev (>= 0.3.4),
......@@ -36,7 +34,6 @@ Build-Depends-Indep: ghc-doc,
libghc-dataenc-doc,
libghc-entropy-doc,
libghc-mtl-doc,
libghc-old-locale-doc,
libghc-random-doc,
libghc-utf8-string-doc,
Standards-Version: 3.9.4
......
--- a/src/main/haskell/Network/OAuth/Consumer.hs
+++ b/src/main/haskell/Network/OAuth/Consumer.hs
@@ -89,8 +89,8 @@
import Control.Monad.Trans
import System.IO
import System.Entropy (getEntropy)
-import System.Locale (defaultTimeLocale)
import Data.Time (getCurrentTime,formatTime)
+import Data.Time.Format (defaultTimeLocale)
import Data.Char (chr,ord)
import Data.List (intercalate,sort)
import Data.Word (Word8)
@@ -390,6 +390,19 @@
right (t1,a) = let OAuthMonadT mb = f a
in mb t1
+instance (Monad m) => Applicative (OAuthMonadT m) where
+ pure = return
+ (OAuthMonadT af) <*> (OAuthMonadT ax) =
+ OAuthMonadT $ \t -> do
+ ef <- af t
+ case ef of
+ Left s -> return $ Left s
+ Right (nt, f) -> do
+ ex <- ax nt
+ case ex of
+ Left s -> return $ Left s
+ Right (ft, x) -> return $ Right (ft, f x)
+
instance MonadTrans OAuthMonadT where
lift ma = OAuthMonadT $ \t -> do { a <- ma
; return $ Right (t,a)
--- a/hoauth.cabal
+++ b/hoauth.cabal
@@ -25,7 +25,6 @@
, dataenc>=0.13.0.2
, utf8-string>=0.3.4
, time>=1.1.4
- , old-locale>=1.0.0.2
, random>=1.0.0.2
, curl>=1.3.5
, mtl>=1.1.0.2
xmonad-contrib (0.11.4-2) UNRELEASED; urgency=medium
* Depend on old-{locale,time}
-- Joachim Breitner <nomeata@debian.org> Wed, 19 Aug 2015 16:51:02 +0200
xmonad-contrib (0.11.4-1) unstable; urgency=medium
* New upstream release
......
......@@ -20,6 +20,10 @@ Build-Depends: debhelper (>= 9),
libghc-mtl-dev (>= 1),
libghc-mtl-dev (<< 3),
libghc-mtl-prof,
libghc-old-locale-dev,
libghc-old-locale-prof,
libghc-old-time-dev,
libghc-old-time-prof,
libghc-random-dev,
libghc-random-prof,
libghc-utf8-string-dev,
......
Index: xmonad-0.11/util/GenerateManpage.hs
Index: xmonad/util/GenerateManpage.hs
===================================================================
--- xmonad-0.11.orig/util/GenerateManpage.hs 2013-01-01 02:31:47.000000000 +0100
+++ xmonad-0.11/util/GenerateManpage.hs 2013-02-17 17:01:53.186736898 +0100
@@ -26,6 +26,7 @@
--- xmonad.orig/util/GenerateManpage.hs 2015-08-19 16:35:34.888424481 +0200
+++ xmonad/util/GenerateManpage.hs 2015-08-19 16:36:29.285364470 +0200
@@ -1,3 +1,4 @@
+{-# LANGUAGE FlexibleContexts #-}
-- Unlike the rest of xmonad, this file is copyright under the terms of the
-- GPL.
@@ -26,6 +27,7 @@
import Text.Regex.Posix
import Data.Char
import Data.List
+import qualified Data.Set as Set
import Distribution.PackageDescription.Parse
import Distribution.Verbosity
@@ -68,9 +69,9 @@
@@ -68,9 +70,9 @@
`liftM` readFile "./XMonad/Config.hs"
let manHeader = unwords [".TH xmonad 1","\""++releaseDate++"\"",releaseName,"\"xmonad manual\""]
- writeOpts = defaultWriterOptions -- { writerLiterateHaskell = True }
+ writeOpts = def -- { writerLiterateHaskell = True }
- parsed <- readMarkdown defaultParserState { stateLiterateHaskell = True }
+ parsed <- readMarkdown def { readerExtensions = Set.insert Ext_literate_haskell pandocExtensions }
+ Right parsed <- readMarkdown def { readerExtensions = Set.insert Ext_literate_haskell pandocExtensions }
. unlines
. replace "___KEYBINDINGS___" keybindings
. lines
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment